<template>
    <button type="button" @click="changeText">Change text</button>
    <slot/>
    <table class="table table-striped">
        <thead>
        <tr>
            <th>#</th>
            <th>Vorname</th>
            <th>Nachname</th>
        </tr>
        </thead>
        <tbody>
        <tr v-for="(person, index) in personsArray">
            <td>{{index + 1}}</td>
            <td>{{person.firstName}}</td>
            <td>{{person.lastName}}</td>
            <td>
                <button type="button" @click="person.firstName = 'Herbert'">Change FIrst name</button>
            </td>
        </tr>
        <tr v-if="!personsArray.length">
            <td colspan="3" v-if="noPersonsText">
                {{ noPersonsText }}
            </td>
            <td colspan="3" v-else>
                <slot name="no-content">
                    Keine Personen angegeben
                </slot>
            </td>
        </tr>
        </tbody>
    </table>
    <slot name="footer"/>
</template>

<script setup>
    //defineProps(['personsArray', 'noPersonsText'])
    const props = defineProps({
        personsArray: Array,
        noPersonsText: String
    })

    const emit = defineEmits(['update-person'])

    function changeText() {
        console.log(props.noPersonsText)
        emit('update-person', 0, {
            firstName: 'Bau',
            lastName: 'maxl'
        })
    }
</script>